
precision lowp float;

uniform lowp sampler2D tex;
uniform lowp samplerCube texCubeMap;
uniform lowp sampler2D texSpecular;

varying mediump vec2 v_v2TexCoord;

uniform mediump vec3 u_v3EyePosition;
uniform lowp float u_fRewindEffect;
uniform lowp float u_fBrightness;

void main() 
{
	lowp vec4 v4Texture = texture2D(tex, v_v2TexCoord);
	gl_FragColor = v4Texture * (1.0 - u_fRewindEffect) + v4Texture.b * u_fRewindEffect;		
}
