
uniform mat4 u_m44ModelViewProjection;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;
attribute vec3 a_v3Normal;

varying mediump vec2 v_v2TexCoord;
varying lowp vec3 v_v3Normal;
varying mediump vec3 v_v3WorldPosition;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v3Normal = a_v3Normal;
	gl_Position = u_m44ModelViewProjection * a_v4Position;
	v_v3WorldPosition = a_v4Position.xyz;
	
	
}