
precision mediump float;

uniform sampler2D tex;

varying highp vec2 v_v2TexCoord;
varying lowp vec4 v_v4Color;
varying mediump float v_fAlphaVFade;

void main() 
{
	float fAlpha = v_fAlphaVFade;
	vec4 v4Color = v_v4Color;
	if (fAlpha > 1.0)
		fAlpha = 1.0;
	v4Color.a *= fAlpha;
	vec4 v4Texture = texture2D(tex, v_v2TexCoord/*, 1.0*/);
	gl_FragColor = v4Texture * v4Color;	
}
